Page tree
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 18 Next »

Version 3 of the Identity Provider is under active development. As such, this documentation is incomplete and also under development.

An alpha release has been produced, and this space contains the minimal documentation we're able to produce for that testing.

Below is the documentation available for version 3.0 of the Shibboleth Identity Provider. Documentation is split up in to two parts: documentation meant for individuals that are deploying and managing an Identity Provider and documentation meant for individuals that are developing custom extensions for the Identity Provider.

Deployers should be aware of the following platform/version requirements for version 3.0:

  • Java versions 7 and 8 are supported
  • Servlet API 3.0 is required, which means that:
    • if using Tomcat as the application container, Tomcat 7 or later is required
    • if using Jetty as the application container, Jetty 8 or later is required

The following configurations are NOT supported by version 3.0:

  • Java version 6 or earlier.
  • Tomcat 6 or earlier.
  • Jetty 7 or earlier.

 

  • No labels